#!/usr/bin/python
#===============================================================================
# CERN (BE-CO-HT)
# Memory map for CONV-TTL-BLO
#===============================================================================
# author: Maciej Suminski (maciej.suminski@cern.ch)
#
# date of creation: 02.02.2017
#
# version: 1.0
#
# description:
#   This script contains memory map for CONV-TTL-BLO, gateware v4.
#
#===============================================================================
# GNU LESSER GENERAL PUBLIC LICENSE
#===============================================================================
# This source file is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by the
# Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version. This source is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU Lesser General Public License for more details. You should have
# received a copy of the GNU Lesser General Public License along with this
# source; if not, download it from http://www.gnu.org/licenses/lgpl-2.1.html
#===============================================================================
# last changes:
#===============================================================================
#  TODO: -
#===============================================================================

# Memory map for gateware v4
SR          = 0x04
ERR         = 0x08
CR          = 0x0c
CH1TTLPCR   = 0x10
CH2TTLPCR   = 0x14
CH3TTLPCR   = 0x18
CH4TTLPCR   = 0x1c
CH5TTLPCR   = 0x20
CH6TTLPCR   = 0x24
CH1BLOPCR   = 0x28
CH2BLOPCR   = 0x2c
CH3BLOPCR   = 0x30
CH4BLOPCR   = 0x34
CH5BLOPCR   = 0x38
CH6BLOPCR   = 0x3c
TVLR        = 0x40
TVHR        = 0x44
TBMR        = 0x48
TBCYR       = 0x4c
TBTLR       = 0x50
TBTHR       = 0x54
TBCSR       = 0x58
CH1LTSCYR   = 0x5c
UIDLR       = 0xac
UIDHR       = 0xb0
TEMPR       = 0xb4
